Status: Resolved Start date: 02/29/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Tools Estimated time: 0.00 hour
Target version: rsb-0.7
Description

The installation instructions in the RSB manual explain how to donwload the tools binary and create appropriate symlinks.

However, the tools binary should offer to create these symlinks itself.

Associated revisions
Revision ef9eeadf - 03/11/2012 04:07 PM - J. Moringen
Explain symlink creation in manual/preparation.rst
refs #921
    -  manual/preparation.rst: extended explanation of symbolic link

  creation; describe new interactive and non-interactive symbolic link
  creation

Revision 1576fb16 - 03/11/2012 04:31 PM - J. Moringen
Added automatic creation of symlinks in main/main.lisp
fixes #921
    -  main/main.lisp (main): improved help text; accept create-links

  commandline option; ask interactively whether links should be
  created
  (%maybe-create-link): new function; helper function for creating a
  symbolic link if necessary
  (%maybe-create-links): new function; helper function for creating
  symbolic links for entry points as necessary

Revision 0d80d1db - 03/11/2012 04:31 PM - J. Moringen
Fixed binary name in main/main.lisp
refs #921
    -  main/main.lisp (main): fixed binary name

Revision 9491753f - 03/11/2012 10:02 PM - J. Moringen

merged automatic symlink creation from trunk (r3437, r3439, r3440) refs #921

Revision 7d8c15c8 - 03/11/2012 10:02 PM - J. Moringen

merged automatic symlink creation from trunk (r3437, r3439, r3440) refs #921
History
#1 - 03/11/2012 04:40 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3439.
